#[doc(inline)]
pub use choices::*;
#[doc(inline)]
pub use event_hooks::*;
#[doc(inline)]
pub use flow::*;
#[doc(inline)]
pub use libraries::*;
#[doc(inline)]
pub use models::*;
#[doc(inline)]
pub use script_handling::*;

/// Holds different choices Pokemon can use during battle.
mod choices;
/// Holds data to callback events from the battle to clients.
mod event_hooks;
/// Holds logic on how the battle is executed.
mod flow;
/// Holds information regarding data that is required for battle execution.
pub(crate) mod libraries;
/// Holds different struct types that are required for functioning.
mod models;
/// Holds information for dynamic runtime behaviour during battles.
mod script_handling;
