#[doc(inline)]
pub use battle::*;
#[doc(inline)]
pub use battle_party::*;
#[doc(inline)]
pub use battle_random::*;
#[doc(inline)]
pub use battle_side::*;
#[doc(inline)]
pub use executing_move::*;
#[doc(inline)]
pub use learned_move::*;
#[doc(inline)]
pub use pokemon::*;
#[doc(inline)]
pub use pokemon_builder::*;
#[doc(inline)]
pub use pokemon_party::*;

/// Data regarding the battle itself.
mod battle;
/// Data regarding parties that are part of a battle.
mod battle_party;
/// Data regarding the RNG for battles.
mod battle_random;
/// Data regarding a single side on the battle.
mod battle_side;
/// Data regarding a move that is being executed.
mod executing_move;
/// Data regarding a move that is learned by a Pokemon.
mod learned_move;
/// Data for an individual Pokemon.
mod pokemon;
/// A constructor for Pokemon.
mod pokemon_builder;
/// Data for a group of Pokemon belonging to a trainer.
mod pokemon_party;
