#[doc(inline)]
pub use ability_library::*;
#[doc(inline)]
pub use data_library::*;
#[doc(inline)]
pub use growth_rate_library::*;
#[doc(inline)]
pub use item_library::*;
#[doc(inline)]
pub use library_settings::*;
#[doc(inline)]
pub use move_library::*;
#[doc(inline)]
pub use nature_library::*;
#[doc(inline)]
pub use species_library::*;
#[doc(inline)]
pub use static_data::*;
#[doc(inline)]
pub use type_library::*;

#[cfg(test)]
pub(crate) mod tests {}

/// The library data for abilities.
pub(crate) mod ability_library;
/// Basic helper trait for libraries.
pub(crate) mod data_library;
/// The library data for groth rates.
pub(crate) mod growth_rate_library;
/// The library data for items.
pub(crate) mod item_library;
/// The library data for misc settings.
pub(crate) mod library_settings;
/// The library data for moves.
pub(crate) mod move_library;
/// The library data for natures.
pub(crate) mod nature_library;
/// The library data for species.
pub(crate) mod species_library;
/// The combination of all libraries.
pub(crate) mod static_data;
/// The library data for types.
pub(crate) mod type_library;
