#[doc(inline)]
pub use ability::*;
#[doc(inline)]
pub use form::*;
#[doc(inline)]
pub use gender::*;
#[doc(inline)]
pub use learnable_moves::*;
#[doc(inline)]
pub use species::*;

#[cfg(test)]
pub(crate) mod tests {
    pub use super::ability::tests::*;
    pub use super::form::tests::*;
    pub use super::learnable_moves::tests::*;
    pub use super::species::tests::*;
}

/// An ability is a passive effect in battle that is attached to a Pokemon.
mod ability;
/// A form is a variant of a specific species. A species always has at least one form, but can have
/// many more.
mod form;
/// Gender is a Pokemon characteristic.
mod gender;
/// This allows for storage of the moves a Pokemon can learn.
mod learnable_moves;
/// The data belonging to a Pokemon with certain characteristics.
mod species;
