#[cfg(feature = "serde")]
use serde::{Deserialize, Serialize};

/// Stats are numerical values on Pokemon that are used in battle.
#[derive(Debug, PartialEq, Eq, Copy, Clone)]
#[cfg_attr(feature = "serde", derive(Serialize, Deserialize))]
#[repr(u8)]
pub enum Statistic {
    /// Health Points determine how much damage a Pokemon can receive before fainting.
    HP,
    /// Attack determines how much damage a Pokemon deals when using a physical attack.
    Attack,
    /// Defense determines how much damage a Pokemon receives when it is hit by a physical attack.
    Defense,
    /// Special Attack determines how much damage a Pokemon deals when using a special attack.
    SpecialAttack,
    /// Special Defense determines how much damage a Pokemon receives when it is hit by a special attack.
    SpecialDefense,
    /// Speed determines the order that a Pokemon can act in battle.
    Speed,
}
