#[doc(inline)]
pub use random::Random;
#[doc(inline)]
pub use string_key::StringKey;
#[doc(inline)]
pub use value_identifier::*;

/// The random module defines a RNG implementation used in pkmn_lib
mod random;
/// The string_key module defines a custom string handling for reduced allocations and fast lookups
/// and equality checks.
mod string_key;
/// Helper tool to keep track of moving memory for FFI.
mod value_identifier;
